      character ifile*80
      print*,'enter input xyz file name:'
      read(5,100) ifile
100   format(a)
      open(10,file=ifile,status='old',form='unformatted')
      print*,'enter output xyz file name:'
      read(5,100) ifile
      open(11,file=ifile,status='unknown',form='unformatted')
10    read(10,end=90) x,y,z
      z=1./z
      write(11) x,y,z
      go to 10
90    stop
      end

